<?php
include_once("../.././core.php");
	
	$matricola = $_GET['matricola'];

	//Rimuove il collegamento dell'impianto dall'anagrafica
	if( $_GET['op']=='unlink_my_impianti' ){
		$dbo->query( "DELETE FROM my_impianti WHERE idanagrafica='$id_record' AND id=\"$matricola\"" );
		$dbo->query( "DELETE FROM my_impianto_componenti WHERE idimpianto=\"$matricola\"" );
		$module_msg = "Impianto rimosso!";
	}


	/*
		Impianti
	*/
	//Verifico se l'anagrafica è un cliente
	$rs = $dbo->fetchNum("SELECT idtipoanagrafica FROM an_tipianagrafiche_anagrafiche WHERE idanagrafica='".$id_record."' AND idtipoanagrafica=(SELECT idtipoanagrafica FROM an_tipianagrafiche WHERE descrizione='Cliente')");
	
	if( $rs>0 ){
		echo "<h3>Impianti installati del cliente</h3>\n";

		$query = "SELECT * FROM my_impianti WHERE idanagrafica='$id_record'";
		$rs = $dbo->fetchArray( $query );
		$n = sizeof($rs);

		if( $n==0 ){
			echo "<p>... Questa anagrafica non ha impianti ...</a>\n";
		}
		else{
			echo "<div class='row'>\n";

			for( $i=0; $i<$n; $i++ ){
				echo "	<div class='col-md-3'>\n";
				echo "		<table class='table table-striped table-condensed table-hover'>\n";
			
				//MATRICOLA
				echo "		<tr><td>Matricola:</td>\n";
				echo "		<td><a href=\"".$rootdir."/editor.php?id_module=".$modules_info['Installazioni']['id']."&id_record=".$rs[$i]['id']."\" target=\"_blank\"><big><b>".$rs[$i]['matricola']."</b></big></a>&nbsp;&nbsp;\n";
			//	echo "			<a href='javascript:;' class='btn btn-sm btn-danger' title='Elimina impianto' onclick=\"if( confirm('Vuoi eliminare questo impianto?') ){ location.href='".$rootdir."/editor.php?id_module=".$id_module."&id_record=".$id_record."&op=unlink_my_impianti&matricola=".$rs[$i]['id']."'; }\"><i class='fa fa-trash-o'></i></a>\n";
				echo "		</td></tr>\n";
				
				//NOME
				echo "		<tr><td>Nome:</td>\n";
				echo "		<td>".$rs[$i]['nome']."</td></tr>\n";

				//DATA
				echo "		<tr><td>Data:</td>\n";
				echo "		<td>".date( "d/m/Y", strtotime($rs[$i]['data']) )."</td></tr>\n";

				//DESCRIZIONE
				echo "		<tr><td>Descrizione:</td>\n";
				echo "		<td>".$rs[$i]['descrizione']."</td></tr>\n";
				echo "		</table>\n";
				echo "	</div>\n";
			}
			
			echo "	</div>\n";
		}
	}
?>
